package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CheckInApplicationEntryCollection extends AbstractObjectCollection 
{
    public CheckInApplicationEntryCollection()
    {
        super(CheckInApplicationEntryInfo.class);
    }
    public boolean add(CheckInApplicationEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CheckInApplicationEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CheckInApplicationEntryInfo item)
    {
        return removeObject(item);
    }
    public CheckInApplicationEntryInfo get(int index)
    {
        return(CheckInApplicationEntryInfo)getObject(index);
    }
    public CheckInApplicationEntryInfo get(Object key)
    {
        return(CheckInApplicationEntryInfo)getObject(key);
    }
    public void set(int index, CheckInApplicationEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CheckInApplicationEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CheckInApplicationEntryInfo item)
    {
        return super.indexOf(item);
    }
}